/**
 * DevExtreme (esm/viz/tree_map/tiling.rotated_slice_and_dice.js)
 * Version: 21.2.3 (build 21328-1434)
 * Build date: Wed Nov 24 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import {
    getAlgorithm,
    addAlgorithm
} from "./tiling";
var sliceAndDiceAlgorithm = getAlgorithm("sliceanddice");

function rotatedSliceAndDice(data) {
    data.isRotated = !data.isRotated;
    return sliceAndDiceAlgorithm.call(this, data)
}
addAlgorithm("rotatedsliceanddice", rotatedSliceAndDice);
