/**
 * DevExtreme (cjs/core/utils/stubs.js)
 * Version: 21.2.3 (build 21328-1434)
 * Build date: Wed Nov 24 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
exports.stubComponent = stubComponent;

function stubComponent(componentName) {
    return function() {
        function NoComponent() {
            throw new Error("Module '".concat(componentName, "' not found"))
        }
        NoComponent.getInstance = function() {};
        return NoComponent
    }()
}
